Subject: bug#47522: 27.2; ERC: Channel Buffers Should Be Unique

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 08 May 2021 14:02:12 +0200

Emily <[email-masked]> writes:

> Regarding ERC in Emacs 27.2. Reproduction is possible in 'emacs -Q'.
>
> When I'm in an ERC server, 'server-1', and I run:
>
>   /join #channel-1
>
> Then, if I were to join another server, 'server-2', and again, do:
>
>   /join #channel-1
>
> Then, when I look at my buffers via ibuffer, only one channel name
> appears. A workaround is to do something like:
>
>   (add-hook 'eww-join-hook
>             (lambda ()
>               (rename-uniquely)))
>
> But I believe it should be the default behaviour.

This has been fixed in Emacs 28 -- at least I remember there being some
work done in this area, and I'm not able to reproduce the bug myself.
So I'm closing this bug report.  If you see this in Emacs 28, please
respond to the debbugs address and we'll reopen.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no